Subject: Re: [EDUC] Communication interne de lycee
From: Fabián Rodríguez <[email-masked]>
To: [email-masked]
Date: Sun, 16 Nov 2014 22:09:11 -0500
List-Id: <educ.april.org>

On 2014-11-16 15:23, Nicolas George wrote:
> - écran fixé au bureau du prof, allumé et connecté au réseau en permanence.
Une "phablet" ou téléphone Android semble indiqué (voir ci-bas).

> - je branche ma clef USB dedans, [...] Aucune manipulation
> supplémentaire (mot de passe ou autre) n'est nécessaire, et quand je pars il
> me suffit de débrancher la clef. 
> - Le serveur sait devant quelle classe je me trouve grâce à mon emploi du
> temps (mais en cas de changement je peux le corriger facilement).

Votre téléphone intelligent équipé d'un lecteur NFC vous sert à lire un
"tag" NFC devant chaque classe (y compris la vôtre) pour y indiquer
votre présence et déclencher d'autres actions (envoi de messages..).

Je pense entre autres à un "vieux" téléphone ou tablette Android ayant
cette fonctionalité. Plusieurs logiciels libres permettent de déclencher
des actions suite à une lecture de d'étiquette NFC.
https://f-droid.org/wiki/page/org.projectmaxs.module.nfc

Voici un exemple d'application (un peu plus élaborée) pour la gestion
des présences d'élèves:
http://ijarcsms.com/docs/paper/volume2/issue8/V2I8-0011.pdf

>
> L'interface est en plein écran avec de gros boutons compatible avec le
> tactile et/ou des raccourcis claviers simples.

C'est le cas de ces téléphones ou tablettes (une tablette semble plus
économique).

>
> J'ai, par exemple, un bouton « infirmerie », qui me dit si l'infirmerie est
> ouverte (le serveur le sait parce que l'infirmier a le même appareil dans
> son bureau et se connecte de la même manière).

Le protocole XMPP inclût la gestion de messages d'état et de présence.
Ça pourrait être adapté dans une interface telle que vous la décrivez.

>
> Autre exemple, j'ai un bouton « Appeler », avec des choix rapides : « CPE /
> surveillant / etc. », « problème de santé / problème de discipline / etc. »,
> et quand quelqu'un reçoit ma demande je vois dans combien de temps je peux
> espérer quelqu'un.

J'ai vu ce genre de fonctionalité sur des téléphones VoIP évolués, en
entreprise. J'ai aussi vu le même genre d'appareils (semblables au Snom
870), mais pas avec moins de fonctionalités en place, dans d'autres
contextes. Il y avait une standardiste qui gérait le tout et chaque
appareil + formation = $$$.

Encore une fois, je ne crois pas qu'il soit impossible de mutualiser un
tel développement dans le contexte que je décris plus haut (appareils
mobiles faciles à obtenir/"économiques", protocoles ouverts XMPP/Jabber,
logiciels libres sur environnement Android/HTML5).

>
> Troisième exemple : un message arrive, l'interface flashe pour attirer
> l'attention et je peux lire « Untel est convoqué chez le CPE à dix heures »
> ou « Merci de rappeler aux élèves d'apporter leur livre d'histoire demain ».
> Le prof d'histoire n'a pas besoin de savoir que c'est moi qui ai la classe,
> et si je n'appuie pas sur le bouton « info transmise », le même message
> s'affichera lors du prochain cours de la classe.

Ça ressemble aussi à un scénario d'utilisation possible avec des
protocoles XMPP/Jabber et une application de téléphonie/messagerie/présence.

Dans tous les cas, d'un point de vue technique ça pourra sembler idéal,
mais d'un point de vue relations/ambiance de travail, ça devient proche
de la surveillance (ou en tout cas, pourrait être utilisé comme tel) et
ça me semble aussi plutôt intrusif. Ma perception (et mon vécu, ayant
été présent pendant 2 ans dans une école primaire 1/2j / semaine) est
que les enseignants veulent un minimum de distractions et
d'interruptions pendant leur présence en classe. Le problème majeur pour
mutualiser une telle solution me semblerait être d'ordre éthique ou
professionnel, avant l'aspect technique.

F.

-- 
Fabián Rodríguez - XMPP/Jabber+OTR: [email-masked]
http://fsf.magicfab.ca

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ